Bug 343551 - Cannot get anaconda to try to get kickstart file from any network interface other than eth0
Summary: Cannot get anaconda to try to get kickstart file from any network interface o...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-10-19 22:27 UTC by Orion Poplawski
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 19:52:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2007-10-19 22:27:55 UTC
Description of problem:

anaconda will always try to use eth0.  have been using ksdevice=bootif for a
while, but that doesn't work.  Neither does ksdevice=eth1.  Neither does not
specifying a device and selecting eth1 from the menu - it still uses eth0!

Doing ks=nfs:saga:/export/data1/ks/rawhide-second.cfg


Version-Release number of selected component (if applicable):
11.3.0.42

Comment 1 Chris Lumens 2007-10-22 17:49:22 UTC
Please try again with 11.3.0.44 or later as some work has gone on here recently.

Comment 2 Orion Poplawski 2007-10-23 17:29:05 UTC
Still the same with 11.3.0.44.

Comment 3 Chris Lumens 2007-10-24 19:01:39 UTC
Can you attach your kickstart file and /tmp/anaconda.log to this bug report? 
Are you booting from the network or from media?  How are you determining that
eth0 is always the interface being used?

Comment 4 Orion Poplawski 2007-10-24 19:52:21 UTC
Okay, this was my bad.  Seems like F7 required a "--device" arg to network?  I
had ended up doing:

network --proto=dhcp --device=eth0

in my kickstart.  Removing --device allowed it to work again.

Sorry for the false report.


Note You need to log in before you can comment on or make changes to this bug.